/**
 * 
 */
package org.foo.bar.mongo.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author ctranxuan
 * 
 */
@Document
public class User {

    @Id
    private String _id;

    @Indexed
    private String userName;

    /**
     * @return the _id
     */
    public String getId() {
        return _id;
    }

    /**
     * @param a_id
     *            the _id to set
     */
    public void setId(final String aId) {
        _id = aId;
    }

    /**
     * @return the userName
     */
    public String getUserName() {
        return userName;
    }

    /**
     * @param aUserName
     *            the userName to set
     */
    public void setUserName(final String aUserName) {
        userName = aUserName;
    }
}
