package org.foo.bar.mysql;

/**
 * Contants for Derby data source factory registration.
 */
public class DataSourceFactoryConstants {

    // Register a service under each of the following driver class names
    public static final String MYSQL_DRIVER_CLASS    = "com.mysql.jdbc.Driver";

    // Register all Derby factory services under this driver name
    public static final String MYSQL_DRIVER_NAME     = "mysql";

    // Register under the JDBC version the driver supports
    public static final String JDBC_3_DRIVER_VERSION = "3.0";
    public static final String JDBC_4_DRIVER_VERSION = "4.0";
}
